查询移除入库单列表
POST
/erp/sc/routing/owms/removalInbound/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/owms/removalInbound/list | HTTPS | POST | 1 |
请求参数
statusintegerstart_datestringend_datestringorder_noarray<any>offsetintegerlengthinteger请求示例
{
"offset": 0,
"length": 20,
"order_no": ["OWR220715000001"],
"start_date": "2022-06-01",
"end_date": "2024-07-30",
"status": 7
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
idinteger必填sidinteger必填sid_namestring必填order_nostring必填removal_order_nostring必填widinteger必填wid_namestring必填estimated_arrival_timestring必填shippment_timestring必填shipperstring必填delivery_nostring必填order_statusinteger必填remarkstring必填uidinteger必填uid_namestring必填submiterstring必填submitinteger必填inbound_order_snsarray<any>必填addressobject必填隐藏子属性
sidinteger必填order_idinteger必填order_nostring必填address_line1string必填address_line2string必填address_line3string必填country_codestring必填state_or_provincestring必填citystring必填countystring必填districtstring必填postal_codestring必填namestring必填address_strstring必填productarray<object>必填隐藏子属性
idinteger必填sidinteger必填order_idinteger必填order_nostring必填mskustring必填fnskustring必填skustring必填product_idinteger必填product_namestring必填pic_urlstring必填third_product_namestring必填third_codestring必填sellable_numinteger必填unsellable_numinteger必填declare_numinteger必填avaliable_numinteger必填defective_numinteger必填recieve_numinteger必填differencesinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "41A01120-0E4A-96D3-42DC-CE313EFE7808",
"response_time": "2023-10-20 14:28:59",
"total": 1
"data": [
{
"id": 2,
"sid": 110,
"sid_name": "8p-CA-1",
"order_no": "OWR220715000001",
"removal_order_no": "R-22062101",
"wid": 9,
"wid_name": "小徐仓",
"estimated_arrival_time": "2022-07-03",
"shippment_time": "2022-06-26T10:28:29-05:00",
"shipper": "USPS",
"delivery_no": "9374889763012717921279",
"order_status": 7,
"remark": "备注",
"uid": 58,
"uid_name": "xx",
"submit": 1,
"submiter": "xx",
"inbound_order_sns": [],
"address": {
"sid": 110,
"order_id": 2,
"order_no": "OWR220715000001",
"address_line1": "5600 Harvey St",
"address_line2": "",
"address_line3": "",
"country_code": "US",
"state_or_province": "MI",
"city": "Michigan",
"county": "",
"district": "",
"postal_code": "49444",
"name": "Michael Morton",
"address_str": "Michael Morton,xxxx,xxxx"
},
"product": [
{
"id": 2,
"sid": 110,
"order_id": 2,
"order_no": "OWR220715000001",
"msku": "Black_ Head_Rope",
"fnsku": "B09MT39000",
"sku": "AK-000002",
"product_id": 24136,
"product_name": "AK-000002",
"pic_url": "",
"sellable_num": 1,
"unsellable_num": 0,
"third_product_name": "",
"third_code": "",
"declare_num": 1,
"avaliable_num": 0,
"defective_num": 0,
"recieve_num": 0,
"differences": 1
}
]
}
]
}